export interface FormField {
	label: string;
	name: string;
	field_type: 'text' | 'number' | 'date' | 'textarea';
}

export interface Form {
	id: string;
	name: string;
	fields: FormField[];
	created_at?: string;
}

export interface Submission {
	id: string;
	form_id: string;
	data: Record<string, unknown>;
	created_at?: string;
}

export interface LoginCredentials {
	username: string;
	password: string;
}

export interface AdminUser {
	username: string;
	password_hash: string;
}
